﻿@inherits LayoutComponentBase

<div class="page">
    <div class="sidebar">
        <NavMenu />
    </div>

    <div class="main">
        <div class="top-row px-4">
            @{
                if (User != null)
                {
                    <span>Hello @User.Identity.Name</span>
                    <a href="logout" class="btn btn-link">
                        Logout
                    </a>
                }
            }
        </div>

        <div class="content px-4">
            @Body
        </div>
    </div>
</div>

@code{
    [Inject]
    private AuthenticationStateProvider AuthProvider { get; set; }

    public ClaimsPrincipal User { get; set; }

    protected override async Task OnInitializedAsync()
    {
        var authState = await AuthProvider.GetAuthenticationStateAsync();

        this.User = authState.User;
    }
}